<div class="page-header">
    <h1>Task management</h1>
    <button mat-flat-button color="warn" class="page-header-main-action txt-size-20" (click)="onOpenTaskPopup()">
        Create
        <mat-icon class="ml-1">
            add
        </mat-icon>
    </button>
    <button mat-fab color="warn" class="responsive-btn" (click)="onOpenTaskPopup()">
        <mat-icon>add</mat-icon>
    </button>
</div>
<div class="task-mangement-grid">
    <ag-grid-angular #agGrid class="ag-theme-material grid-size" id="myGrid" [columnDefs]="columnDefinitions"
        [defaultColDef]="defaultColDef" [rowData]="rowData" (gridReady)="onGridReady($event)">
    </ag-grid-angular>
</div>